Summary
Add Workflow
Description
Add a Workflow to the database
Route
POST /workflow_builder/workflows/save
Roles
admin
engineering
support
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| workflow |
object |
yes |
Workflow's data. |
Copied to Clipboard
{
"workflow": {
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [
"ef772c348ae50d996dc0ef66",
"2813bc1bffbf5cd6fa284dd3"
],
"x": 32629044.304652005,
"y": 47539070.53376648
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [
"8bfdac0a08db46418699031b"
],
"x": -25247670.042885944,
"y": -48103102.51298167
},
"error_handler": {
"name": "childJob",
"summary": "Duis nisi magna sint aute",
"description": "nisi",
"app": "dolore deserunt ut",
"variables": {
"error": "",
"decorators": [
{
"type": "encryption",
"pointer": "/~0/~1"
},
{
"type": "encryption",
"pointer": "/dIANj.hj2"
},
{
"type": "encryption",
"pointer": "/~0/x3AcTO4mus/~0/~0/~1/zs-G2s/~0/~1/~1/uPl,0Oxpm8I/~1"
}
]
},
"groups": [
"5ed3f4a333f7ae60fc991aa1"
],
"x": 74392852.71087152,
"y": -24424465.551207945,
"type": "operation",
"gridCoordinate": {
"x": 85687983.80752748,
"y": 15412771.059558317
},
"deprecated": true,
"scheduled": true
}
},
"transitions": {},
"groups": [
"a893771817671c37a45998ba",
"e6925772de98ff4f8f5aa3b1",
"c9dc3ad8dfaffa11e99a8621",
"23c16e5d90a40df48197505d"
],
"_id": "6431a8e9-e975-b420-a634-ac3126b5c287",
"description": "nisi",
"errorHandler": {
"type": "Ut",
"name": "id ut ex eiusmod"
},
"font_size": 12,
"created": "1950-12-19T16:40:30.694Z",
"created_by": "058629b77f705673564900f5",
"createdVersion": "sit laborum et sunt",
"last_updated": "2020-01-25T03:10:23.355Z",
"last_updated_by": "3d3789fd994d37c5661e2cdc",
"lastUpdatedVersion": "Excepteur aute",
"tags": [
"anim",
"enim"
],
"canvasVersion": 1.5,
"encodingVersion": 1,
"decorators": [
{
"type": "encryption",
"pointer": "/~1/CG4dihJ/Su/l595nQCQ.IE/~1/~0/JKpeU2Q./c/UbzYyvdy/~0"
},
{
"type": "encryption",
"pointer": "/~1/~0/H/~0/~1/~0/~1/~0"
}
]
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"workflow": {
"$ref": "workflowDocument"
}
},
"required": [
"workflow"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| data |
object |
The new Workflow with its data and ID. |
Copied to Clipboard
{
"name": "My Workflow",
"type": "automation",
"tasks": {
"workflow_start": {
"name": "workflow_start",
"summary": "workflow_start",
"groups": [
"3fe6cd7778c3d28cec896d60",
"010cf4307f2f857424f81040",
"5fed37075aab4bc1a34f7948"
],
"x": 52131510.194593966,
"y": 45317386.800777584
},
"workflow_end": {
"name": "workflow_end",
"summary": "workflow_end",
"groups": [
"04d284a08331c20a975ad956",
"e590461bf8ed1418348ebca1"
],
"x": 28795817.283466145,
"y": -49276209.84449321
},
"error_handler": {
"name": "childJob",
"summary": "laboris consequat mollit adipisicing aliqua",
"description": "in ad ullamco cupidatat",
"app": "ullamco cupidatat non reprehenderit dolore",
"variables": {
"error": "",
"decorators": [
{
"type": "encryption",
"pointer": "/KM/~0/~0"
}
]
},
"groups": [
"60ea048383157297372d7928",
"9ababd4c00dd3f1672567a35",
"7c92c6468c2450fcd94d1769",
"eee6eab06e6c9381fabd20a3"
],
"x": 17343449.941559136,
"y": 95335611.48196337,
"type": "operation",
"gridCoordinate": {
"x": 13209775.04458569,
"y": -85744259.35638277
},
"deprecated": true,
"scheduled": false
}
},
"transitions": {},
"groups": [
"5d21f4791d40466c619f1dbb",
"5ccdcbda9377a5a9be277e8d",
"fe8e48384d5c70f082d5907e",
"2d6d80c7186722f6c3d300a9",
"254a841a797ad20052736006"
],
"_id": "6904b02b-974b-6237-f8bc-f98253c5e5f7",
"description": "fugiat dolore pariatur cillum Ut",
"errorHandler": null,
"font_size": 12,
"created": "1977-12-19T12:33:15.755Z",
"created_by": "0f19fd34818375ba245920c1",
"createdVersion": "ut qui occaecat aute",
"last_updated": "1994-10-16T03:47:53.902Z",
"last_updated_by": "cd190e58d38fd4898287fb1a",
"lastUpdatedVersion": "irure fugiat Duis do ullamco",
"tags": [
"in dolore consectetur",
"laborum anim adipisicing laboris aliqua",
"non labore pariatur",
"aliqua fugiat enim nulla",
"veniam cupidatat nisi dolore"
],
"canvasVersion": 3,
"encodingVersion": 1,
"decorators": [
{
"type": "encryption",
"pointer": "/~0/oA8XEW7cr"
}
]
}